Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ifs.example.tt
Class TimetableModel

    java.lang.Object
      ifs.model.Model
          ifs.example.tt.TimetableModel

    public class TimetableModel

extends Model

Simple Timetabling Problem.
The problem is modelled in such a way that every lecture was represented by a variable, resource as a constraint and every possible location of an activity in the time and space was represented by a single value. It means that a value stands for a selection of the time (starting time slot), and one of the available rooms. Binary dependencies are of course represented as constraints as well.

Version:
  1.0
Author:
  Tomáš Müller

Constructor Summary
`TimetableModel(int nrDays, int nrHours)`

Method Summary
`static TimetableModel` | `generate(DataProperties cfg)`
`int` | `getNrDays()`
`int` | `getNrHours()`
`static TimetableModel` | `loadFromXML(File inFile, boolean assign)`
`static void` | `main(String[] args)`
`void` | `saveAsXML(DataProperties cfg, boolean gen, Solution solution, File outFile)`

Methods inherited from class ifs.model.Model
`addConstraint, addModelListener, addVariable, afterAssigned, afterUnassigned, assignedVariables, beforeAssigned, beforeUnassigned, bestUnassignedVariables, conflictConstraints, conflictValues, constraints, countConstraints, countVariables, getBestPerturbations, getBestUnassignedVariables, getInfo, getModelListeners, getTotalValue, init, modelListenerOfType, perturbVariables, removeConstraint, removeModelListener, removeVariable, restoreBest, saveBest, toString, unassignedHardConstraints, unassignedVariables, variables, variablesWithoutInitialValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimetableModel

    public TimetableModel(int nrDays,
                          int nrHours)

Method Detail

### getNrDays

    public int getNrDays()

### getNrHours

    public int getNrHours()

### generate

    public static TimetableModel generate(DataProperties cfg)

### main

    public static void main(String[] args)

### saveAsXML

    public void saveAsXML(DataProperties cfg,
                          boolean gen,
                          Solution solution,
                          File outFile)
                   throws IOException

  Throws:
    `IOException`

### loadFromXML

    public static TimetableModel loadFromXML(File inFile,
                                             boolean assign)
                                      throws IOException,
                                             org.dom4j.DocumentException

  Throws:
    `IOException`
    `org.dom4j.DocumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Tomáš Müller